<template>
  <div>
    <div class="signPromptDiv" :style="signPromptStyle">
      <div style="display: flex;">
        <span>已{{ content }}签到</span>
        <span class="daySpan">{{ hasCumSignDay }}天</span>

        <div v-if="!isMostDrawCount">
          <div>
            <span>，再签到</span>
            <span class="daySpan">{{ needCumSignDay }}</span>
            <span>天可获抽奖机会</span>
          </div>
        </div>

        <div v-if="isMostDrawCount"><span>,抽奖次数已达活动上限</span></div>
      </div>

    
    </div>
  </div>
</template>

<script>
export default {
  props:[
    'hasCumSignDay',
    "needCumSignDay",
    "isMostDrawCount",
    "signPlus",
    "signPromptStyle"
  ],
  data() {
    return {
      content: '',
      // hasCumSignDay: '',
      // needCumSignDay: ''
    };
  },
  created() {
   console.log(this.signPromptStyle,999999999)
    this.activityType = sessionStorage.getItem('activityType');
    console.log(this.activityType);
    if (this.activityType == 1 || this.activityType == 10001) {
      this.content = '累计';
    } else if (this.activityType == 4 || this.activityType == 10004) {
      this.content = '连续';
    }
    this.publicData.$on('updata', ress => {
      this.isMostDrawCount = ress.isMostDrawCount;
      this.hasCumSignDay = ress.hasCumSignDay;
      this.needCumSignDay = ress.needCumSignDay;
      this.restDrawCount = ress.restDrawCount;
      this.signPlus = ress.signPlus;
    });
  },
  mounted(){
  },

  methods: {}
};
</script>

<style></style>
